<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>评卷员设置</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/login.css">
	<script type="text/javascript">
		$(document).ready(function() {
			<!--针对nw.js评卷客户端，自动窗口最大化-->
			try{
				require('nw.gui').Window.get().maximize();
			}catch(e){
			}

			$('#submit-button').click(function(){
				var name = $('#loginName').val();
				if(name==''){
					showError('请输入姓名');
					return false;
				}
				if(name.length>10){
					showError('姓名长度不应超过10个字');
					return false;
				}

				var password = $('#password').val();
				var password2 = $('#password2').val();
				if(password==''){
					showError('请输入密码');
					return false;
				}
				if(password.length>8){
					showError('密码长度不应超过8个字符');
					return false;
				}
				if(password!=password2){
					showError('两次密码输入内容不一致');
					return false;
				}
				return true;
			});
		});

		function showError(message){
			$('.point').show();
			$('.error').html(message);
		}

		// 如果在框架中，则跳转刷新上级页面
		if(self.frameElement && self.frameElement.tagName=="IFRAME"){
			parent.location.reload();
		}
	</script>
</head>
<body>
	<div class="container">
	  <div class="middle cl">
	   <div class="left">
	    <div class="logo"><img src="${ctxStatic}/images/<c:if test="${indexLogo ==null||indexLogo =='' }">logo@2x.png</c:if><c:if test="${indexLogo !=null }">${indexLogo }</c:if>"/></div>
	    <p>Copyright &#169武汉启明软件 2012-2014</p>
	   </div>
	   <div class="right">
	     <div class="title">
	       <h1>首次登陆，请完善资料</h1>
	       <br/>
	     </div>
	     <div class="loginbox">
	      <form action="${ctx}/mark/reset" method="post" role="form" id="loginForm">
	        <div class="input-group">
	        	<input type="text" class="form-control required" id="loginName" name="name" placeholder="请输入姓名" autocomplete="off" value="${loginName }"/>
	        </div>
	        <div class="input-group">
	        	<input type="password" class="form-control required" id="password" name="password" placeholder="请输入密码" autocomplete="off"/>
	        </div>
	        <div class="input-group">
	        	<input type="password" class="form-control required" id=password2 name="password2" placeholder="再次输入密码" autocomplete="off"/>
	        </div>
	        <div class="point hide">
	        <em class="error"></em>
	        </div>
	        <div class="login-btn">
	        	<input class="opacity" type="submit" id="submit-button" value="确 定"/>
	        	<a href="${ctx}/logout" class="opacity">退 出</a>
	        </div>
	      </form>
	     </div>
	   </div>
	  </div>
	</div>
  </body>
</html>