<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>登录</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/login.css">
	<script type="text/javascript">
		$(document).ready(function() {
			$("#showType").hide();
			$("#adminLogin").click(function() {
				$("#adminLogin").addClass("on");
				$("#markLogin").removeClass("on");
				$("#showType").attr("value","admin-login");
			});
			$("#markLogin").click(function() {
				$("#markLogin").addClass("on");
				$("#adminLogin").removeClass("on");
				$("#showType").attr("value","mark-login");
			});
			if(self.frameElement && self.frameElement.tagName=="IFRAME"){
				parent.location.reload();
			}
			loadProperties('en');
			function loadProperties(locale) {  
	            jQuery.i18n.properties({//加载资浏览器语言对应的资源文件
	                name : 'messages', //资源文件名称
	                path : '/resources/i18n/', //资源文件路径
	                mode : 'map', //用Map的方式使用资源文件中的值
	                language : locale,
	                callback : function() {//加载成功后设置显示内容
	                    $("[data-i18n-value]").each(function() {
	                    	$(this).val($.i18n.prop($(this).data("i18n-value")));
	                    });
	                    $("[data-i18n-text]").each(function() {
	                    	$(this).text($.i18n.prop($(this).data("i18n-text")));
	                    });
	                    $("[data-i18n-html]").each(function() {
	                    	$(this).html($.i18n.prop($(this).data("i18n-html")));
	                    });
	                }
	            });
			}
		});
	</script>
</head>
<body>
<div class="container">
  <div class="middle cl">
   <div class="left">
    <div class="logo"><img src="${ctxStatic}/images/<c:if test="${indexLogo ==null||indexLogo =='' }">logo@2x.png</c:if><c:if test="${indexLogo !=null }">${indexLogo }</c:if>"/></div>
    <p>Copyright &#169武汉启明软件 2012-2014</p>
   </div>
   <div class="right">
     <div class="title">
       <h1>高校考试管理平台</h1>
       <c:if test="${loginType == 'admin-login' }"><p>管理员登录</p></c:if>
       <c:if test="${loginType == 'mark-login' }"><p>评卷员登录</p></c:if>
       <c:if test="${loginType == null || loginType == '' }">
       <p><span><a href="#" class="<c:if test="${showType == 'admin-login' ||showType==null}">on</c:if>" id="adminLogin">管理员登录</a></span>
       	<span><a href="#" class="<c:if test="${showType == 'mark-login' }">on</c:if>" id="markLogin">评卷员登录</a></span></p>
       </c:if>
     </div>
     <div class="loginbox">
      <form action="${ctx}/login" method="post" role="form" id="loginForm">
      	<input id ="showType" name ="showType" value="${showType}" />
        <div class="input-group">
        	<input type="text" class="form-control required" id="loginName" name="loginName" placeholder="请输入用户名" autocomplete="off" value="${loginName }"/>
        </div>
        <div class="input-group">
        	<input type="password" class="form-control required" id="password" name="password" placeholder="请输入密码" autocomplete="off"/>
        </div>
        <div class="point <c:if test="${message != null }"></c:if><c:if test="${message == null }">hide</c:if>">
        <em class="error">${message }</em>
        </div>
        <div class="login-btn"><input class="opacity" type="submit" value="登 录" data-i18n-value="user.login.submit"/></div>
        <div class="language"><a href="#" onclick="location='${ctx}/language/zh?url='+location.href">&nbsp; 中文</a>
			 <a href="#" onclick="location='${ctx}/language/en?url='+location.href">&nbsp; English</a></div>
      </form>
     </div>
   </div>
  </div>
</div>
</body>
</html>